import { GlobalLogConfig } from './types';
declare class StringBuilder {
    private config;
    private printQueue;
    private filteredHeaderList;
    constructor(config: GlobalLogConfig);
    makeLogTypeWithPrefix(logType: string): this;
    makeDateFormat(date: Date): this;
    makeHeader(headers?: {
        [key: string]: {
            value: string;
        };
    }): this;
    makeUrl(url?: string, baseUrl?: string): this;
    makeParams(params?: object): this;
    makeMethod(method?: string): this;
    makeData(data: object): this;
    makeStatus(status?: number, statusText?: string): this;
    build(): string;
    /**
     * Helper imported from Axios library
     * @see https://github.com/axios/axios/blob/d99d5faac29899eba68ce671e6b3cbc9832e9ad8/lib/helpers/combineURLs.js
     * */
    combineURLs(baseURL: string, relativeURL?: string): string;
}
export default StringBuilder;
